Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.providers.saml
Interface SAMLCredentialNameMapper

public interface SAMLCredentialNameMapper

Interface used to perform mapping of user and group information to SAML assertions.

To specify an instance of this interface to be used by the SAML Credential Mapper, set the `NameMapperClassName` attribute.

Classes implementing this interface must have a public no-arg constructor.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`SAMLNameMapperInfo` | `mapName(String name, ContextHandler handler)` Maps a `String` name to a set of values used to construct a SAML `NameIdentifier` element for a SAML assertion.
`SAMLNameMapperInfo` | `mapSubject(Subject subject, ContextHandler handler)` Maps a `Subject` to a set of values used to construct a SAML `NameIdentifier` element for a SAML assertion.
`void` | `setNameQualifier(String nameQualifier)` Called by the SAML Credential Mapper to inform a SAMLCredentialNameMapper of the currently configured SAML NameQualifier value.

Method Detail

### mapName

    public SAMLNameMapperInfo mapName(String name,
                                      ContextHandler handler)

  Maps a `String` name to a set of values used to construct a SAML `NameIdentifier` element for a SAML assertion. The returned `SAMLNameMapperInfo` may optionally include a `Collection` of group names, which will be used to construct a SAML `AttributeStatement` containing a `WLSGroups` attribute.

  Parameters:
    `name` - The `String` name that should be mapped.
    `handler` - The `ContextHandler` passed to the SAML Credential Mapper.
  Returns:
    A `SAMLNameMapperInfo` containing user and group information, or `null` if no mapping is made.

### mapSubject

    public SAMLNameMapperInfo mapSubject(Subject subject,
                                         ContextHandler handler)

  Maps a `Subject` to a set of values used to construct a SAML `NameIdentifier` element for a SAML assertion. The returned `SAMLNameMapperInfo` may optionally include a `Collection` of group names, which will be used to construct a SAML `AttributeStatement` containing a `WLSGroups` attribute.

  Parameters:
    `subject` - The `Subject` that should be mapped.
    `handler` - The `ContextHandler` passed to the SAML Credential Mapper.
  Returns:
    A `SAMLNameMapperInfo` containing user and group information, or `null` if no mapping is made.

### setNameQualifier

    public void setNameQualifier(String nameQualifier)

  Called by the SAML Credential Mapper to inform a SAMLCredentialNameMapper of the currently configured SAML NameQualifier value.

  Parameters:
    `nameQualifier` - The currently configured Name Qualifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD